Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Class Paths

    java.lang.Object
      org.infinispan.schematic.internal.document.Paths

    public class Paths

extends Object

Nested Class Summary
`protected static class` | `Paths.EmptyPath`
`static class` | `Paths.Externalizer`
`protected static class` | `Paths.MultiSegmentPath`
`protected static class` | `Paths.SinglePath`

Field Summary
`protected static Path` | `EMPTY_PATH`

Constructor Summary
`Paths()`

Method Summary
`protected static void` | `notNull(Object value, String name)`
`protected static String` | `notNull(String value, String name)`
`static Path` | `path(List<String> fieldNames)`
`static Path` | `path(Path path, List<String> fieldNames)`
`static Path` | `path(Path path, String... fieldNames)`
`static Path` | `path(Path path, String fieldName)`
`static Path` | `path(String... fieldNames)`
`static Path` | `path(String fieldName)`
`static Path` | `rootPath()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_PATH

    protected static final Path EMPTY_PATH

Constructor Detail

### Paths

    public Paths()

Method Detail

### notNull

    protected static final void notNull(Object value,
                                        String name)

### notNull

    protected static final String notNull(String value,
                                          String name)

### rootPath

    public static Path rootPath()

### path

    public static Path path(String fieldName)

### path

    public static Path path(String... fieldNames)

### path

    public static Path path(List<String> fieldNames)

### path

    public static Path path(Path path,
                            String fieldName)

### path

    public static Path path(Path path,
                            String... fieldNames)

### path

    public static Path path(Path path,
                            List<String> fieldNames)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.